Skip to main content
POST
/
businesses
/
customers
/
{customerID}
Add Business
curl --request POST \
  --url https://api.joinworth.com/case/api/v1/businesses/customers/{customerID} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "Dwight-business-specific-identifier-42dd22",
  "name": "Dunder Mifflin",
  "tin": "138519094",
  "address_line_1": "2232 Harry Brooks Dr NW",
  "address_line_2": "Suite 200",
  "address_city": "Scranton",
  "address_state": "PA",
  "address_country": "USA",
  "address_postal_code": "30318",
  "mobile": "5043228579",
  "official_website": "https://dundermifflin.com",
  "naics_code": 424120,
  "naics_title": "Stationery and Office Supplies",
  "mcc_code": 5111,
  "industry": "Office Supplies",
  "is_monitoring_enabled": true,
  "applicant_id": "1a2b3c4d-5e6f-1a2b-3c4d-5e6f1a2b3c4d",
  "send_invitation": true,
  "generate_invite_link": false,
  "applicant_first_name": "Dwight",
  "applicant_last_name": "Schrute",
  "applicant_email": "dschrute@dundermifflin.com",
  "applicant_subrole_code": "owner",
  "dba1_name": "Michael Scott Paper Company",
  "address1_line_1": "1725 Slough Avenue",
  "address1_apartment": "Closet",
  "address1_city": "Scranton",
  "address1_state": "PA",
  "address1_country": "USA",
  "address1_postal_code": "18504",
  "address1_mobile": "5551234567",
  "year_created": 2021,
  "annual_total_income": 20000,
  "total_wages": 15000,
  "annual_net_income": 5000,
  "cost_of_goods_sold": 2000,
  "total_liabilities": 1000,
  "total_assets": 25000,
  "total_equity": 24000,
  "total_accounts_payable": 500,
  "total_accounts_recievable": 1500,
  "total_cash_and_cash_equivalents": 10000,
  "total_short_term_investments": 0,
  "total_current_assets": 11500,
  "total_current_liabilities": 500,
  "non_current_liablities": 500,
  "annual_cost_of_goods_sold": 2000,
  "annual_gross_profit": 18000,
  "annual_taxes_paid": 1000,
  "annual_interest_expenses": 0,
  "number_of_employees": 15,
  "business_type": "Corporation",
  "sic_code": 5112,
  "score_retrieval_date": "2026-04-07",
  "business_liens": 0,
  "business_liens_file_date": "2023-01-01",
  "business_liens_status": "none",
  "business_liens_status_date": "2023-01-01",
  "business_bankruptcies": 0,
  "business_bankruptcies_file_date": "2023-01-01",
  "business_bankruptcies_chapter": "none",
  "business_bankruptcies_voluntary": "none",
  "business_bankruptcies_status": "none",
  "business_bankruptcies_status_date": "2023-01-01",
  "business_judgements": 0,
  "business_judgements_file_date": "2023-01-01",
  "business_judgements_status": "none",
  "business_judgements_status_date": "2023-01-01",
  "business_judgements_amount": 0,
  "social_review_count": 45,
  "social_review_score": 4.5,
  "owner1_title": "Manager",
  "owner1_first_name": "Michael",
  "owner1_last_name": "Scott",
  "owner1_email": "gavin@bionicpanda.net",
  "owner1_mobile": "5043228579",
  "owner1_ssn": "123456789",
  "owner1_dob": "1992-10-08",
  "owner1_address_line_1": "2232 Harry Brooks Dr NW",
  "owner1_address_line_2": "Suite 100",
  "owner1_address_city": "Atlanta",
  "owner1_address_state": "GA",
  "owner1_address_postal": "30318",
  "owner1_address_country": "USA",
  "owner1_owner_type": "CONTROL",
  "owner1_ownership_percentage": 100,
  "bank_account_number": "99909578",
  "bank_name": "Scranton Credit Union",
  "institution_name": "Scranton Credit Union",
  "bank_routing_number": "211370150",
  "bank_wire_routing_number": "211370151",
  "bank_official_name": "Scranton CU NA",
  "bank_account_type": "checking",
  "bank_account_subtype": "business",
  "bank_account_balance_current": 50000,
  "bank_account_balance_available": 45000,
  "bank_account_balance_limit": 5000,
  "deposit_account": true,
  "bank_account_holder_type": "business",
  "bank_account_holder_name": "Dunder Mifflin",
  "npi": "1234567890",
  "npi_first_name": "Michael",
  "npi_last_name": "Scott",
  "skip_credit_check": false,
  "bypass_ssn": false,
  "canada_business_number": "123456789 RC 0001",
  "canada_corporate_id": "123456789",
  "aging_config": {
    "thresholds": {
      "low": 7,
      "medium": 14,
      "high": 30
    },
    "custom_messages": {
      "low": "Please complete your application soon.",
      "medium": "Your application requires immediate attention.",
      "high": "Final notice to complete your application."
    }
  }
}
'
import requests

url = "https://api.joinworth.com/case/api/v1/businesses/customers/{customerID}"

payload = {
"external_id": "Dwight-business-specific-identifier-42dd22",
"name": "Dunder Mifflin",
"tin": "138519094",
"address_line_1": "2232 Harry Brooks Dr NW",
"address_line_2": "Suite 200",
"address_city": "Scranton",
"address_state": "PA",
"address_country": "USA",
"address_postal_code": "30318",
"mobile": "5043228579",
"official_website": "https://dundermifflin.com",
"naics_code": 424120,
"naics_title": "Stationery and Office Supplies",
"mcc_code": 5111,
"industry": "Office Supplies",
"is_monitoring_enabled": True,
"applicant_id": "1a2b3c4d-5e6f-1a2b-3c4d-5e6f1a2b3c4d",
"send_invitation": True,
"generate_invite_link": False,
"applicant_first_name": "Dwight",
"applicant_last_name": "Schrute",
"applicant_email": "dschrute@dundermifflin.com",
"applicant_subrole_code": "owner",
"dba1_name": "Michael Scott Paper Company",
"address1_line_1": "1725 Slough Avenue",
"address1_apartment": "Closet",
"address1_city": "Scranton",
"address1_state": "PA",
"address1_country": "USA",
"address1_postal_code": "18504",
"address1_mobile": "5551234567",
"year_created": 2021,
"annual_total_income": 20000,
"total_wages": 15000,
"annual_net_income": 5000,
"cost_of_goods_sold": 2000,
"total_liabilities": 1000,
"total_assets": 25000,
"total_equity": 24000,
"total_accounts_payable": 500,
"total_accounts_recievable": 1500,
"total_cash_and_cash_equivalents": 10000,
"total_short_term_investments": 0,
"total_current_assets": 11500,
"total_current_liabilities": 500,
"non_current_liablities": 500,
"annual_cost_of_goods_sold": 2000,
"annual_gross_profit": 18000,
"annual_taxes_paid": 1000,
"annual_interest_expenses": 0,
"number_of_employees": 15,
"business_type": "Corporation",
"sic_code": 5112,
"score_retrieval_date": "2026-04-07",
"business_liens": 0,
"business_liens_file_date": "2023-01-01",
"business_liens_status": "none",
"business_liens_status_date": "2023-01-01",
"business_bankruptcies": 0,
"business_bankruptcies_file_date": "2023-01-01",
"business_bankruptcies_chapter": "none",
"business_bankruptcies_voluntary": "none",
"business_bankruptcies_status": "none",
"business_bankruptcies_status_date": "2023-01-01",
"business_judgements": 0,
"business_judgements_file_date": "2023-01-01",
"business_judgements_status": "none",
"business_judgements_status_date": "2023-01-01",
"business_judgements_amount": 0,
"social_review_count": 45,
"social_review_score": 4.5,
"owner1_title": "Manager",
"owner1_first_name": "Michael",
"owner1_last_name": "Scott",
"owner1_email": "gavin@bionicpanda.net",
"owner1_mobile": "5043228579",
"owner1_ssn": "123456789",
"owner1_dob": "1992-10-08",
"owner1_address_line_1": "2232 Harry Brooks Dr NW",
"owner1_address_line_2": "Suite 100",
"owner1_address_city": "Atlanta",
"owner1_address_state": "GA",
"owner1_address_postal": "30318",
"owner1_address_country": "USA",
"owner1_owner_type": "CONTROL",
"owner1_ownership_percentage": 100,
"bank_account_number": "99909578",
"bank_name": "Scranton Credit Union",
"institution_name": "Scranton Credit Union",
"bank_routing_number": "211370150",
"bank_wire_routing_number": "211370151",
"bank_official_name": "Scranton CU NA",
"bank_account_type": "checking",
"bank_account_subtype": "business",
"bank_account_balance_current": 50000,
"bank_account_balance_available": 45000,
"bank_account_balance_limit": 5000,
"deposit_account": True,
"bank_account_holder_type": "business",
"bank_account_holder_name": "Dunder Mifflin",
"npi": "1234567890",
"npi_first_name": "Michael",
"npi_last_name": "Scott",
"skip_credit_check": False,
"bypass_ssn": False,
"canada_business_number": "123456789 RC 0001",
"canada_corporate_id": "123456789",
"aging_config": {
"thresholds": {
"low": 7,
"medium": 14,
"high": 30
},
"custom_messages": {
"low": "Please complete your application soon.",
"medium": "Your application requires immediate attention.",
"high": "Final notice to complete your application."
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: 'Dwight-business-specific-identifier-42dd22',
name: 'Dunder Mifflin',
tin: '138519094',
address_line_1: '2232 Harry Brooks Dr NW',
address_line_2: 'Suite 200',
address_city: 'Scranton',
address_state: 'PA',
address_country: 'USA',
address_postal_code: '30318',
mobile: '5043228579',
official_website: 'https://dundermifflin.com',
naics_code: 424120,
naics_title: 'Stationery and Office Supplies',
mcc_code: 5111,
industry: 'Office Supplies',
is_monitoring_enabled: true,
applicant_id: '1a2b3c4d-5e6f-1a2b-3c4d-5e6f1a2b3c4d',
send_invitation: true,
generate_invite_link: false,
applicant_first_name: 'Dwight',
applicant_last_name: 'Schrute',
applicant_email: 'dschrute@dundermifflin.com',
applicant_subrole_code: 'owner',
dba1_name: 'Michael Scott Paper Company',
address1_line_1: '1725 Slough Avenue',
address1_apartment: 'Closet',
address1_city: 'Scranton',
address1_state: 'PA',
address1_country: 'USA',
address1_postal_code: '18504',
address1_mobile: '5551234567',
year_created: 2021,
annual_total_income: 20000,
total_wages: 15000,
annual_net_income: 5000,
cost_of_goods_sold: 2000,
total_liabilities: 1000,
total_assets: 25000,
total_equity: 24000,
total_accounts_payable: 500,
total_accounts_recievable: 1500,
total_cash_and_cash_equivalents: 10000,
total_short_term_investments: 0,
total_current_assets: 11500,
total_current_liabilities: 500,
non_current_liablities: 500,
annual_cost_of_goods_sold: 2000,
annual_gross_profit: 18000,
annual_taxes_paid: 1000,
annual_interest_expenses: 0,
number_of_employees: 15,
business_type: 'Corporation',
sic_code: 5112,
score_retrieval_date: '2026-04-07',
business_liens: 0,
business_liens_file_date: '2023-01-01',
business_liens_status: 'none',
business_liens_status_date: '2023-01-01',
business_bankruptcies: 0,
business_bankruptcies_file_date: '2023-01-01',
business_bankruptcies_chapter: 'none',
business_bankruptcies_voluntary: 'none',
business_bankruptcies_status: 'none',
business_bankruptcies_status_date: '2023-01-01',
business_judgements: 0,
business_judgements_file_date: '2023-01-01',
business_judgements_status: 'none',
business_judgements_status_date: '2023-01-01',
business_judgements_amount: 0,
social_review_count: 45,
social_review_score: 4.5,
owner1_title: 'Manager',
owner1_first_name: 'Michael',
owner1_last_name: 'Scott',
owner1_email: 'gavin@bionicpanda.net',
owner1_mobile: '5043228579',
owner1_ssn: '123456789',
owner1_dob: '1992-10-08',
owner1_address_line_1: '2232 Harry Brooks Dr NW',
owner1_address_line_2: 'Suite 100',
owner1_address_city: 'Atlanta',
owner1_address_state: 'GA',
owner1_address_postal: '30318',
owner1_address_country: 'USA',
owner1_owner_type: 'CONTROL',
owner1_ownership_percentage: 100,
bank_account_number: '99909578',
bank_name: 'Scranton Credit Union',
institution_name: 'Scranton Credit Union',
bank_routing_number: '211370150',
bank_wire_routing_number: '211370151',
bank_official_name: 'Scranton CU NA',
bank_account_type: 'checking',
bank_account_subtype: 'business',
bank_account_balance_current: 50000,
bank_account_balance_available: 45000,
bank_account_balance_limit: 5000,
deposit_account: true,
bank_account_holder_type: 'business',
bank_account_holder_name: 'Dunder Mifflin',
npi: '1234567890',
npi_first_name: 'Michael',
npi_last_name: 'Scott',
skip_credit_check: false,
bypass_ssn: false,
canada_business_number: '123456789 RC 0001',
canada_corporate_id: '123456789',
aging_config: {
thresholds: {low: 7, medium: 14, high: 30},
custom_messages: {
low: 'Please complete your application soon.',
medium: 'Your application requires immediate attention.',
high: 'Final notice to complete your application.'
}
}
})
};

fetch('https://api.joinworth.com/case/api/v1/businesses/customers/{customerID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "Bulk process succeeded",
  "data": {
    "runId": "af6fbea4-5e7e-4f69-9652-e60af794fd63",
    "result": {
      "0": {
        "warnings": [],
        "userID": "a4a66475-3cca-45f0-ba7c-ffd6d28737a2",
        "customerID": "1ced981d-5cf3-4cd9-adb9-97fba3c5677d",
        "businessID": "e7c95c9b-54d1-40e0-ab84-da48d286885c",
        "riskMonitoring": false,
        "async": true,
        "applicantID": "020ba463-5283-4afb-bef5-a07b30b5715a",
        "controlOwner": 1,
        "businessValidationResponse": "Business Validated Successfully",
        "data_businesses": {
          "id": "e7c95c9b-54d1-40e0-ab84-da48d286885c",
          "name": "Duner Mifflin",
          "tin": "XXXXX9094",
          "mobile": "+15043228579",
          "official_website": "DunderMifflin.net",
          "public_website": null,
          "social_account": null,
          "address_line_1": "2232 Harry Brooks Dr NW",
          "address_line_2": null,
          "address_city": "Scranton",
          "address_state": "PA",
          "address_postal_code": "30318",
          "address_country": "US",
          "created_at": "2026-04-07T23:55:01.524Z",
          "created_by": "a4a66475-3cca-45f0-ba7c-ffd6d28737a2",
          "updated_at": "2026-04-07T23:55:02.997Z",
          "updated_by": "a4a66475-3cca-45f0-ba7c-ffd6d28737a2",
          "status": "UNVERIFIED",
          "industry": null,
          "mcc_id": null,
          "naics_id": null,
          "naics_code": null,
          "naics_title": null,
          "mcc_code": null,
          "mcc_title": null,
          "external_id": null,
          "customer_id": null,
          "is_monitoring_enabled": null,
          "deleted_by": null,
          "deleted_at": null,
          "subscription": {
            "status": null,
            "created_at": null,
            "updated_at": null
          },
          "business_names": [
            {
              "name": "Duner Mifflin",
              "is_primary": true
            }
          ],
          "business_addresses": [
            {
              "line_1": "2232 Harry Brooks Dr NW",
              "apartment": null,
              "city": "Scranton",
              "state": "PA",
              "country": "US",
              "postal_code": "30318",
              "mobile": "+15043228579",
              "is_primary": true
            }
          ]
        },
        "data_cases": [
          {
            "id": "6ffacd4d-9301-4d27-b684-1284aba8d3cc",
            "applicant_id": "020ba463-5283-4afb-bef5-a07b30b5715a",
            "customer_id": "1ced981d-5cf3-4cd9-adb9-97fba3c5677d",
            "business_id": "e7c95c9b-54d1-40e0-ab84-da48d286885c",
            "status": 3,
            "created_at": "2026-04-07T23:55:02.221Z",
            "created_by": "a4a66475-3cca-45f0-ba7c-ffd6d28737a2",
            "updated_at": "2026-04-07T23:55:02.221Z",
            "updated_by": "a4a66475-3cca-45f0-ba7c-ffd6d28737a2",
            "case_type": 1,
            "assignee": null,
            "assigner": null,
            "customer_initiated": true
          }
        ],
        "owners": [
          {
            "id": "a7f07a09-5cb9-4486-ae81-0b35c5c3af29",
            "title": {
              "id": 16,
              "title": "Owner"
            },
            "first_name": "Michael",
            "last_name": "Scott",
            "ssn": "XXXXX6789",
            "email": "gavin@bionicpanda.net",
            "mobile": "+15043228579",
            "date_of_birth": "1992-XX-XX",
            "address_apartment": null,
            "address_line_1": "2232 Harry Brooks Dr NW",
            "address_line_2": null,
            "address_city": "Atlanta",
            "address_state": "GA",
            "address_postal_code": "30318",
            "address_country": "US",
            "created_at": "2026-04-07T23:55:03.138Z",
            "created_by": "a4a66475-3cca-45f0-ba7c-ffd6d28737a2",
            "updated_at": "2026-04-07T23:55:03.138Z",
            "updated_by": "a4a66475-3cca-45f0-ba7c-ffd6d28737a2",
            "business_id": "e7c95c9b-54d1-40e0-ab84-da48d286885c",
            "owner_type": "CONTROL",
            "ownership_percentage": "0.00",
            "external_id": null,
            "last_four_of_ssn": "6789",
            "year_of_birth": "1992"
          }
        ],
        "integration_data": {
          "dba1_name": null,
          "dba2_name": null,
          "dba3_name": null,
          "dba4_name": null,
          "dba5_name": null,
          "address1_line_1": null,
          "address2_line_1": null,
          "address3_line_1": null,
          "address4_line_1": null,
          "address5_line_1": null,
          "address1_apartment": null,
          "address2_apartment": null,
          "address3_apartment": null,
          "address4_apartment": null,
          "address5_apartment": null,
          "address1_city": null,
          "address2_city": null,
          "address3_city": null,
          "address4_city": null,
          "address5_city": null,
          "address1_state": null,
          "address2_state": null,
          "address3_state": null,
          "address4_state": null,
          "address5_state": null,
          "address1_country": null,
          "address2_country": null,
          "address3_country": null,
          "address4_country": null,
          "address5_country": null,
          "address1_postal_code": null,
          "address2_postal_code": null,
          "address3_postal_code": null,
          "address4_postal_code": null,
          "address5_postal_code": null,
          "address1_mobile": null,
          "address2_mobile": null,
          "address3_mobile": null,
          "address4_mobile": null,
          "address5_mobile": null,
          "id": null,
          "name": "Duner Mifflin",
          "tin": "138519094",
          "address_line_1": "2232 Harry Brooks Dr NW",
          "address_line_2": null,
          "address_city": "Scranton",
          "state": "PA",
          "address_country": null,
          "address_postal_code": "30318",
          "mobile": "15043228579",
          "official_website": "DunderMifflin.net",
          "naics_code": null,
          "naics_title": null,
          "mcc_code": null,
          "industry": null,
          "quick_add": null,
          "skip_credit_check": null,
          "bypass_ssn": null,
          "is_corporate_entity": null,
          "aging_config": null,
          "external_id": "Dwight-business-specific-identifier-42dd22",
          "metadata": null,
          "owner1_id": null,
          "owner2_id": null,
          "owner3_id": null,
          "owner4_id": null,
          "owner5_id": null,
          "owner1_title": "Owner",
          "owner2_title": null,
          "owner3_title": null,
          "owner4_title": null,
          "owner5_title": null,
          "owner1_first_name": "Michael",
          "owner2_first_name": null,
          "owner3_first_name": null,
          "owner4_first_name": null,
          "owner5_first_name": null,
          "owner1_last_name": "Scott",
          "owner2_last_name": null,
          "owner3_last_name": null,
          "owner4_last_name": null,
          "owner5_last_name": null,
          "owner1_email": "gavin@bionicpanda.net",
          "owner2_email": null,
          "owner3_email": null,
          "owner4_email": null,
          "owner5_email": null,
          "owner1_mobile": "15043228579",
          "owner2_mobile": null,
          "owner3_mobile": null,
          "owner4_mobile": null,
          "owner5_mobile": null,
          "owner1_ssn": "123456789",
          "owner2_ssn": null,
          "owner3_ssn": null,
          "owner4_ssn": null,
          "owner5_ssn": null,
          "owner1_dob": "1992-10-08",
          "owner2_dob": null,
          "owner3_dob": null,
          "owner4_dob": null,
          "owner5_dob": null,
          "owner1_address_line_1": "2232 Harry Brooks Dr NW",
          "owner2_address_line_1": null,
          "owner3_address_line_1": null,
          "owner4_address_line_1": null,
          "owner5_address_line_1": null,
          "owner1_address_line_2": null,
          "owner2_address_line_2": null,
          "owner3_address_line_2": null,
          "owner4_address_line_2": null,
          "owner5_address_line_2": null,
          "owner1_address_city": "Atlanta",
          "owner2_address_city": null,
          "owner3_address_city": null,
          "owner4_address_city": null,
          "owner5_address_city": null,
          "owner1_address_state": "GA",
          "owner2_address_state": null,
          "owner3_address_state": null,
          "owner4_address_state": null,
          "owner5_address_state": null,
          "owner1_address_postal": "30318",
          "owner2_address_postal": null,
          "owner3_address_postal": null,
          "owner4_address_postal": null,
          "owner5_address_postal": null,
          "owner1_address_country": null,
          "owner2_address_country": null,
          "owner3_address_country": null,
          "owner4_address_country": null,
          "owner5_address_country": null,
          "owner1_owner_type": "CONTROL",
          "owner2_owner_type": null,
          "owner3_owner_type": null,
          "owner4_owner_type": null,
          "owner5_owner_type": null,
          "owner1_ownership_percentage": null,
          "owner2_ownership_percentage": null,
          "owner3_ownership_percentage": null,
          "owner4_ownership_percentage": null,
          "owner5_ownership_percentage": null,
          "owner1_external_id": null,
          "owner2_external_id": null,
          "owner3_external_id": null,
          "owner4_external_id": null,
          "owner5_external_id": null,
          "send_invitation": null,
          "applicant_first_name": null,
          "applicant_last_name": null,
          "applicant_email": null,
          "generate_invite_link": null,
          "applicant_subrole_code": null,
          "year": 2021,
          "npi_provider_number": null,
          "npi_first_name": null,
          "npi_last_name": null,
          "canada_business_number": null,
          "canada_corporate_id": null,
          "is_revenue": 20000,
          "is_operatingexpenses": null,
          "is_netincome": null,
          "is_cost_of_goods_sold": null,
          "bs_totalliabilities": null,
          "bs_totalassets": null,
          "bs_totalequity": null,
          "bs_accountspayable": null,
          "bs_accountsreceivable": null,
          "bs_cashandcashequivalents": null,
          "bs_shortterminvestments": null,
          "bs_totalcurrentassets": null,
          "bs_totalcurrentliabilities": null,
          "bs_totalnoncurrentliabilities": null,
          "is_costofgoodsold": null,
          "is_grossprofit": null,
          "is_incometaxexpense": null,
          "is_interestexpense": null,
          "number_of_employees": null,
          "business_type": null,
          "sic_code": null,
          "date_of_observation": null,
          "lien_count": null,
          "business_liens_file_date": null,
          "business_liens_status": null,
          "business_liens_status_date": null,
          "bankruptcy_count": null,
          "business_bankruptcies_file_date": null,
          "business_bankruptcies_chapter": null,
          "business_bankruptcies_voluntary": null,
          "business_bankruptcies_status": null,
          "business_bankruptcies_status_date": null,
          "judgement_count": null,
          "business_judgements_file_date": null,
          "business_judgements_status": null,
          "business_judgements_status_date": null,
          "business_judgements_amount": null,
          "review_cnt": null,
          "review_score": null,
          "bank_account_number": "99909578",
          "bank_name": null,
          "institution_name": null,
          "bank_routing_number": "211370150",
          "bank_wire_routing_number": null,
          "bank_official_name": null,
          "bank_account_type": null,
          "bank_account_subtype": "Checking",
          "bank_account_balance_current": null,
          "bank_account_balance_available": null,
          "bank_account_balance_limit": null,
          "deposit_account": null,
          "bank_account_holder_type": null,
          "bank_account_holder_name": null,
          "general_monthly_volume": null,
          "general_annual_volume": null,
          "general_average_ticket_size": null,
          "general_high_ticket_size": null,
          "general_desired_limit": null,
          "monthly_occurrence_of_high_ticket": null,
          "explanation_of_high_ticket": null,
          "visa_mastercard_discover_monthly_volume": null,
          "visa_mastercard_discover_annual_volume": null,
          "visa_mastercard_discover_average_ticket_size": null,
          "visa_mastercard_discover_high_ticket_size": null,
          "visa_mastercard_discover_desired_limit": null,
          "american_express_monthly_volume": null,
          "american_express_annual_volume": null,
          "american_express_average_ticket_size": null,
          "american_express_high_ticket_size": null,
          "american_express_desired_limit": null,
          "is_seasonal_business": null,
          "high_volume_months": null,
          "explanation_of_high_volume_months": null,
          "swiped_cards": null,
          "typed_cards": null,
          "e_commerce": null,
          "mail_telephone": null,
          "/^custom:.*/": null
        },
        "business_customer": {
          "business_id": "e7c95c9b-54d1-40e0-ab84-da48d286885c",
          "customer_id": "1ced981d-5cf3-4cd9-adb9-97fba3c5677d",
          "created_at": "2026-04-07T23:55:03.124Z",
          "created_by": "a4a66475-3cca-45f0-ba7c-ffd6d28737a2",
          "is_monitoring_enabled": false,
          "external_id": "Dwight-business-specific-identifier-42dd22",
          "metadata": null
        }
      }
    }
  }
}
{
"status": "fail",
"message": "Validation failed. Error details:",
"errorCode": null,
"data": {
"runId": "1a2b3c4d-5e6f-1a2b-3c4d-5e6f1a2b3c4d",
"failed_rows": {
"0": {
"message": "Validation failed. Error details:",
"data": [
{
"column": "tin",
"providedKey": "tin",
"value": "333444685999",
"reason": "Validation failed"
},
{
"column": "mobile",
"providedKey": "mobile",
"value": "10",
"reason": "Validation failed"
},
{
"column": "external_id",
"providedKey": "external_id",
"value": "77388994455034",
"reason": "The business external ID already exists for this customer (business ID: 9d75fc32-6770-4586-8dd6-9a9a0b6596b2)",
"existing_business_id": "9d75fc32-6770-4586-8dd6-9a9a0b6596b2"
}
]
}
},
"result": {}
}
}
{
"status": "fail",
"message": "Authorization header not present",
"errorCode": "UNAUTHENTICATED",
"data": {
"errorName": "AuthenticationMiddlewareError"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerID
string<uuid>
required

Unique identifier for the customer.

Example:

"1a2b3c4d-5e6f-1a2b-3c4d-5e6f1a2b3c4d"

Query Parameters

async
boolean
default:false

When true, the request is processed asynchronously and immediately returns a business ID without waiting for enrichment to complete.

Body

application/json
name
string
required

The official business name.

Example:

"Acme Corporation"

external_id
string

A unique identifier for this record off of Worth's platform, sometimes from other, external systems. Spaces will be removed from the string.

Example:

"1a2b3c4d-5e6f-1a2b-3c4d-5e6f1a2b3c4d"

tin
string

Taxpayer Identification Number issued by the government. Nine numeric digits with or without dash(es).

Example:

"123456789"

address_line_1
string

Primary street address of the business.

Example:

"123 Main St"

address_line_2
string

Secondary address information (suite, apt, etc.).

Example:

"Suite 400"

address_city
string

City of the business address.

Example:

"Metropolis"

address_state
string

State or region of the business address.

Example:

"NY"

address_country
string

Country of the business address.

Example:

"USA"

address_postal_code
string

Postal or ZIP code for the business address.

Example:

"10101"

mobile
string

Company's primary contact number.

Example:

"5551234567"

official_website
string

URL of the company's official website.

Example:

"https://www.acme-corp.com"

naics_code
number

North American Industry Classification System code. To find a particular code, please use https://www.naics.com/search/

Example:

541330

naics_title
string

Title corresponding to the NAICS code.

Example:

"Engineering Services"

mcc_code
number

Merchant Category Code used for classifying business activities.

Example:

1234

industry
string

General industry classification.

Example:

"Finance and Insurance"

is_monitoring_enabled
boolean

Whether ongoing monitoring is enabled for this business.

Example:

true

applicant_id
string

Identifier for the loan or service applicant.

Example:

"1a2b3c4d-5e6f-1a2b-3c4d-5e6f1a2b3c4d"

send_invitation
boolean

Whether to send an invitation email to the applicant.

Example:

false

Whether to generate an invite link for the applicant.

Example:

false

applicant_first_name
string

First name of the applicant.

Example:

"John"

applicant_last_name
string

Last name of the applicant.

Example:

"Doe"

applicant_email
string

Email address of the applicant.

Example:

"john.doe@example.com"

applicant_subrole_code
enum<string>

Subrole code of the applicant.

Available options:
owner,
user
Example:

"owner"

dba1_name
string

"Doing Business As" name, if different from legal name. Supports up to 5 DBAs using the pattern dba{n}_name (e.g., dba2_name, dba3_name).

Example:

"Acme Trading"

address1_line_1
string

Primary street address for an additional location. Supports up to 5 addresses using the pattern address{n}_{field} (e.g., address2_line_1, address3_city).

Example:

"456 Elm St"

address1_apartment
string

Apartment or suite number for the DBA address.

Example:

"Apt 12B"

address1_city
string

City for the DBA address.

Example:

"Gotham"

address1_state
string

State for the DBA address (Two-letter abbreviation).

Example:

"CA"

address1_country
string

Country for the DBA address.

Example:

"USA"

address1_postal_code
string

Postal code for the DBA address.

Example:

"90210"

address1_mobile
string

Contact number for the DBA location.

Example:

"5559876543"

year_created
number

Year the business was established.

Example:

2015

annual_total_income
number

Total revenue in the last fiscal year.

Example:

500000

total_wages
number

Total wages paid to employees last year.

Example:

200000

annual_net_income
number

Net profit after expenses last year.

Example:

300000

cost_of_goods_sold
number

Direct costs attributable to goods sold.

Example:

150000

total_liabilities
number

Sum of all current and non-current liabilities.

Example:

100000

total_assets
number

Sum of all current and non-current assets.

Example:

600000

total_equity
number

Sum of all current equity.

Example:

500000

total_accounts_payable
number

Amount owed to suppliers and vendors.

Example:

25000

total_accounts_recievable
number

Outstanding amounts owed by customers.

Example:

30000

total_cash_and_cash_equivalents
number

Liquid assets on hand.

Example:

50000

total_short_term_investments
number

Investments easily convertible to cash within a year.

Example:

10000

total_current_assets
number

Assets expected to be used or sold within one year.

Example:

120000

total_current_liabilities
number

Obligations due within one year.

Example:

40000

non_current_liablities
number

Long-term obligations not due within one year.

Example:

60000

annual_cost_of_goods_sold
number

COGS aggregated over the fiscal year.

Example:

150000

annual_gross_profit
number

Revenue minus cost of goods sold.

Example:

350000

annual_taxes_paid
number

Total taxes paid in the fiscal year.

Example:

50000

annual_interest_expenses
number

Interest paid on debts during the year.

Example:

10000

number_of_employees
number

Total full-time equivalent employees.

Example:

25

business_type
string

Legal structure of the business.

Example:

"LLC"

sic_code
number

Standard Industrial Classification code. Codes may be found here: https://www.osha.gov/data/sic-search

Example:

5812

score_retrieval_date
string

Date on which credit or risk score was fetched.

Example:

"2025-06-16"

business_liens
number
business_liens_file_date
string
business_liens_status
string
business_liens_status_date
string
business_bankruptcies
number
business_bankruptcies_file_date
string
business_bankruptcies_chapter
string
business_bankruptcies_voluntary
string
business_bankruptcies_status
string
business_bankruptcies_status_date
string
business_judgements
number
business_judgements_file_date
string
business_judgements_status
string
business_judgements_status_date
string
business_judgements_amount
number
social_review_count
number
social_review_score
number
owner1_title
enum<string>

Official title of the first owner. The API supports up to 5 owners using the pattern owner{n}_{field} (e.g., owner2_title, owner3_first_name, etc.).

Available options:
Partner,
Limited Partner,
Director,
Chief Accounting Officer,
Chief Executive Officer,
Chief Operations Officer,
President,
Vice President,
Treasurer,
Assistant Treasurer,
1% Shareholder,
Shareholder,
Controller,
Managing Member,
Owner,
Sole Proprietor,
Executor,
Beneficiary,
Trustee,
Administrator,
Assistant Secretary,
Authorized Person,
Chairman of the Board,
Chief Compliance Officer,
Chief Financial Officer,
Chief Legal Officer,
Chief Technology Officer,
Co-Founder,
Founder,
General Partner,
Managing Partner,
Manager,
Member,
Principal,
Registered Agent,
Secretary,
Chairperson
Example:

"Partner"

owner1_external_id
string

External ID of the first owner.

Example:

"abc123"

owner1_first_name
string

First name of the first owner.

Example:

"Jane"

owner1_last_name
string

Last name of the first owner.

Example:

"Smith"

owner1_email
string

Email of the first owner.

Example:

"jane.smith@example.com"

owner1_mobile
string

Mobile phone of the first owner.

Example:

"+1-555-765-4321"

owner1_ssn
string

Social Security Number of the first owner.

Example:

"123456789"

owner1_dob
string

Date of birth of the first owner.

Example:

"1980-01-01"

owner1_address_line_1
string

Primary street address of the first owner.

Example:

"789 Oak Ave"

owner1_address_line_2
string

Secondary address information for the first owner.

Example:

"Floor 2"

owner1_address_city
string

City for the first owner’s address.

Example:

"Star City"

owner1_address_state
string

State for the first owner’s address.

Example:

"IL"

owner1_address_postal
string

Postal code for the first owner’s address.

Example:

"60601"

owner1_address_country
string

Country for the first owner’s address.

Example:

"USA"

owner1_owner_type
enum<string>

Role of the first owner (beneficiary or controlling party). Only one owner may be of type CONTROL

Available options:
BENEFICIARY,
CONTROL
Example:

"BENEFICIARY"

owner1_ownership_percentage
number

Percentage ownership held by the first owner.

Example:

100

bank_account_number
string

Identifier for the company’s bank account.

Example:

"000123456789"

bank_name
string

Name of the bank where the account is held.

Example:

"First National Bank"

institution_name
string

Official institution name for banking relationships.

Example:

"Acme Financial Institution"

bank_routing_number
string

ABA routing number for the bank.

Example:

"111000025"

bank_wire_routing_number
string

Wire transfer routing number.

Example:

"111000026"

bank_official_name
string

Legal name of the bank entity.

Example:

"First National Bank, NA"

bank_account_type
string

Type of bank account.

Example:

"checking"

bank_account_subtype
string

Subtype of the bank account.

Example:

"business"

bank_account_balance_current
number

Current recorded balance of the account.

Example:

250000

bank_account_balance_available
number

Available balance for withdrawal.

Example:

240000

bank_account_balance_limit
number

Overdraft or credit limit on the account.

Example:

5000

deposit_account
boolean

Whether this account is used for deposits.

Example:

true

bank_account_holder_type
enum<string>

Type of the bank account holder.

Available options:
business,
personal
Example:

"business"

bank_account_holder_name
string

Name of the bank account holder.

Example:

"John Doe"

npi
string

National Provider Identifier (for healthcare entities).

Example:

"1234567890"

npi_first_name
string

First name of the NPI holder.

Example:

"John"

npi_last_name
string

Last name of the NPI holder.

Example:

"Doe"

skip_credit_check
boolean

OPTIONAL functionality when personal credit checks are enabled. A flag to indicate whether personal credit checks on the business owner should be skipped. Default is false.

Example:

false

bypass_ssn
boolean

Whether to bypass the Social Security Number check.

Example:

false

canada_business_number
string

Canada Business Number (for Canadian businesses).

Example:

"123456789 RC 0001"

canada_corporate_id
string

Name of the Canadian business.

Example:

"123456789"

aging_config
object

If enabled, the reminder thresholds and their severity set for applicant cases. If configured, a webhook event will be emitted with the custom messages at the specified allotted number of days.

Response

OK

status
string
message
string
data
Data2 · object